Exception handling for bean In-Only components
==============================================

All In-Only switchyard bean components throw an exception:

 * AuthorizedService - HandlerException - authorization required
 * RuntimeExceptionService - a RuntimeException is thrown
 * ExceptionService - declared MyException is thrown

Caller method continues after In-Only component is invoked, exception is only logged. 

Usage:
------

1. Deployment:

        mvn clean package jboss-as:deploy

2. CURL:

        curl -v -X GET http://localhost:8080/api/bean-service/authorized
        curl -v -X GET http://localhost:8080/api/bean-service/runtime-exception
        curl -v -X GET http://localhost:8080/api/bean-service/exception
