package org.jboss.soa.qa.bean;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

import javax.inject.Inject;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service(BeanService.class)
public class BeanServiceBean implements BeanService {

	@Inject @Reference
	private AuthorizedService authorizedService;

	@Inject @Reference
	private RuntimeExceptionService runtimeExceptionService;

	@Inject @Reference
	private ExceptionService exceptionService;

	@Override
	public boolean getAuthorized() {
		// HandlerException - authentication / authorization required will be thrown
		authorizedService.invoke();
		return true;
	}

	@Override
	public boolean getRuntimeException() {
		// Runtime exception will be thrown
		runtimeExceptionService.invoke();
		return true;
	}

	@Override
	public boolean getException() throws MyException {
		// Declared exception will be thrown
		exceptionService.invoke();
		return true;
	}
}
